> [!NOTE]
> **Note:** Requires [authorization](https://developers.google.com/android/work/play/emm-api/v1/managedconfigurationsforuser/list#auth).

<br />

**Deprecated:** New integrations cannot use this method and can refer to our [new
recommendations](https://developers.google.com/android/work/deprecations#recommended_alternative_5).  
**This method will no longer be accessible by
anyone after September 30, 2025.** Lists all the per-user managed configurations for the specified user. Only the ID is set.

<br />

## Request

### HTTP request

```
GET https://www.googleapis.com/androidenterprise/v1/enterprises/enterpriseId/users/userId/managedConfigurationsForUser
```

### Parameters

| Parameter name | Value | Description |
|---|---|---|
| **Path parameters** |||
| `enterpriseId` | `string` | The ID of the enterprise. |
| `userId` | `string` | The ID of the user. |

### Authorization

This request requires authorization with the following scope:

| Scope |
|---|
| `https://www.googleapis.com/auth/androidenterprise` |

For more information, see the [authentication and authorization](https://developers.google.com/android/work/play/emm-api/v1/how-tos/authorizing) page.

### Request body

Do not supply a request body with this method.

## Response

If successful, this method returns a response body with the following structure:

```
{
  "kind": "androidenterprise#managedConfigurationsForUserListResponse",
  "managedConfigurationForUser": [
    managedconfigurationsforuser Resource
  ]
}
```

| Property name | Value | Description | Notes |
|---|---|---|---|
| `managedConfigurationForUser[]` | `list` | A managed configuration for an app for a specific user. |   |
| `kind` | `string` | Identifies what kind of resource this is. Value: the fixed string `"androidenterprise#managedConfigurationsForUserListResponse"`. |   |